be.zetes.zseidlib.domain

## Enum ReturnCode

- java.lang.Object
- - java.lang.Enum<ReturnCode>
  - - be.zetes.zseidlib.domain.ReturnCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ReturnCode>

      public enum ReturnCode
      extends java.lang.Enum<ReturnCode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BlueToothNotEnabled`
    `BlueToothNotPresent`
    `BlueToothNotSupported`
    `BtSocketError`
    `CardError`
    `CardNotPresent`
    `CardNotSupported`
    `CardReadError`
    `CertificateNotFound`
    `ConvertError`
    `DigestAlgoUnsupported`
    `DigestLength`
    `FunctionNotSupported`
    `InvalidBtDevice`
    `ManufacturerNameNotSupported`
    `NOK`
    `NoReader`
    `OEMNotSupported`
    `OK`
    `ParseError`
    `PinAttemptsLef1`
    `PinAttemptsLef2`
    `PinAttemptsLef3`
    `PinBlocked`
    `PinCancelled`
    `PinIncorrect`
    `PinLength`
    `PinTimeOut`
    `PinTooLong`
    `PinTooShort`
    `ReaderModelNotSupported`
    `ReaderNameNotSupported`
    `ReaderNotPresent`
    `ReaderNotSupported`
    `ReadError`
    `SignAlgoUnsupported`
    `TransmitError`
    `Unsupported`
    `UsbNotSupported`
    `WrongPinType`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReturnCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ReturnCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final ReturnCode OK

    - #### NOK

          public static final ReturnCode NOK

    - #### UsbNotSupported

          public static final ReturnCode UsbNotSupported

    - #### BlueToothNotEnabled

          public static final ReturnCode BlueToothNotEnabled

    - #### BlueToothNotSupported

          public static final ReturnCode BlueToothNotSupported

    - #### OEMNotSupported

          public static final ReturnCode OEMNotSupported

    - #### BlueToothNotPresent

          public static final ReturnCode BlueToothNotPresent

    - #### InvalidBtDevice

          public static final ReturnCode InvalidBtDevice

    - #### BtSocketError

          public static final ReturnCode BtSocketError

    - #### ReaderNotPresent

          public static final ReturnCode ReaderNotPresent

    - #### CardNotPresent

          public static final ReturnCode CardNotPresent

    - #### CardNotSupported

          public static final ReturnCode CardNotSupported

    - #### CardReadError

          public static final ReturnCode CardReadError

    - #### ReaderNotSupported

          public static final ReturnCode ReaderNotSupported

    - #### FunctionNotSupported

          public static final ReturnCode FunctionNotSupported

    - #### CardError

          public static final ReturnCode CardError

    - #### ManufacturerNameNotSupported

          public static final ReturnCode ManufacturerNameNotSupported

    - #### ReaderModelNotSupported

          public static final ReturnCode ReaderModelNotSupported

    - #### ReaderNameNotSupported

          public static final ReturnCode ReaderNameNotSupported

    - #### NoReader

          public static final ReturnCode NoReader

    - #### ReadError

          public static final ReturnCode ReadError

    - #### ParseError

          public static final ReturnCode ParseError

    - #### ConvertError

          public static final ReturnCode ConvertError

    - #### WrongPinType

          public static final ReturnCode WrongPinType

    - #### PinTooShort

          public static final ReturnCode PinTooShort

    - #### PinTooLong

          public static final ReturnCode PinTooLong

    - #### PinBlocked

          public static final ReturnCode PinBlocked

    - #### PinCancelled

          public static final ReturnCode PinCancelled

    - #### PinIncorrect

          public static final ReturnCode PinIncorrect

    - #### PinAttemptsLef1

          public static final ReturnCode PinAttemptsLef1

    - #### PinAttemptsLef2

          public static final ReturnCode PinAttemptsLef2

    - #### PinAttemptsLef3

          public static final ReturnCode PinAttemptsLef3

    - #### DigestAlgoUnsupported

          public static final ReturnCode DigestAlgoUnsupported

    - #### SignAlgoUnsupported

          public static final ReturnCode SignAlgoUnsupported

    - #### CertificateNotFound

          public static final ReturnCode CertificateNotFound

    - #### DigestLength

          public static final ReturnCode DigestLength

    - #### Unsupported

          public static final ReturnCode Unsupported

    - #### PinTimeOut

          public static final ReturnCode PinTimeOut

    - #### PinLength

          public static final ReturnCode PinLength

    - #### TransmitError

          public static final ReturnCode TransmitError

  - ### Method Detail

    - #### values

          public static ReturnCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReturnCode c : ReturnCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReturnCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null